| OpenCV 3.4.8 Open Source Computer Vision

Namespaces | Macros | Enumerations | Functions
Logging facilities
Core functionality » Utility and system functions and macros

## Namespaces
| cv::utils::logging::internal

## Macros
#define | CV_LOG_DEBUG(tag, ...) for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_DEBUG) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_DEBUG, ss.str().c_str()); break; }
#define | CV_LOG_ERROR(tag, ...) for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_ERROR) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_ERROR, ss.str().c_str()); break; }
#define | CV_LOG_FATAL(tag, ...) for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_FATAL) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_FATAL, ss.str().c_str()); break; }
#define | CV_LOG_INFO(tag, ...) for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_INFO) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_INFO, ss.str().c_str()); break; }
#define | CV_LOG_LEVEL_DEBUG 5
| Debug message. Disabled in the "Release" build. More...
#define | CV_LOG_LEVEL_ERROR 2
| Error message. More...
#define | CV_LOG_LEVEL_FATAL 1
| Fatal (critical) error (unrecoverable internal error) More...
#define | CV_LOG_LEVEL_INFO 4
| Info message. More...
#define | CV_LOG_LEVEL_SILENT 0
| for using in setLogLevel() call More...
#define | CV_LOG_LEVEL_VERBOSE 6
| Verbose (trace) messages. Requires verbosity level. Disabled in the "Release" build. More...
#define | CV_LOG_LEVEL_WARN 3
| Warning message. More...
#define | CV_LOG_STRIP_LEVEL CV_LOG_LEVEL_VERBOSE
#define | CV_LOG_VERBOSE(tag, v, ...)
#define | CV_LOG_WARNING(tag, ...) for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_WARNING) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_WARNING, ss.str().c_str()); break; }
#define | CV_TRACE_ARG(arg_id)
| Macro to trace argument value. More...
#define | CV_TRACE_ARG_VALUE(arg_id, arg_name, value)
| Macro to trace argument value (expanded version) More...
#define | CV_TRACE_FUNCTION()
| Macro to trace function. More...
#define | CV_TRACE_FUNCTION_SKIP_NESTED()
#define | CV_TRACE_REGION(name_as_static_string_literal)
#define | CV_TRACE_REGION_NEXT(name_as_static_string_literal)

## Enumerations
enum | cv::utils::logging::LogLevel { cv::utils::logging::LOG_LEVEL_SILENT = 0, cv::utils::logging::LOG_LEVEL_FATAL = 1, cv::utils::logging::LOG_LEVEL_ERROR = 2, cv::utils::logging::LOG_LEVEL_WARNING = 3, cv::utils::logging::LOG_LEVEL_INFO = 4, cv::utils::logging::LOG_LEVEL_DEBUG = 5, cv::utils::logging::LOG_LEVEL_VERBOSE = 6 }
| Supported logging levels and their semantic. More...

## Functions
LogLevel | cv::utils::logging::getLogLevel ()
LogLevel | cv::utils::logging::setLogLevel (LogLevel logLevel)

## Detailed Description

## Macro Definition Documentation

## § CV_LOG_DEBUG

#define CV_LOG_DEBUG | ( |  | tag,
|  |  | ...
| ) |  | for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_DEBUG) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_DEBUG, ss.str().c_str()); break; }

`#include <opencv2/core/utils/logger.hpp>`

## § CV_LOG_ERROR

#define CV_LOG_ERROR | ( |  | tag,
|  |  | ...
| ) |  | for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_ERROR) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_ERROR, ss.str().c_str()); break; }

`#include <opencv2/core/utils/logger.hpp>`

## § CV_LOG_FATAL

#define CV_LOG_FATAL | ( |  | tag,
|  |  | ...
| ) |  | for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_FATAL) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_FATAL, ss.str().c_str()); break; }

`#include <opencv2/core/utils/logger.hpp>`

## § CV_LOG_INFO

#define CV_LOG_INFO | ( |  | tag,
|  |  | ...
| ) |  | for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_INFO) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_INFO, ss.str().c_str()); break; }

`#include <opencv2/core/utils/logger.hpp>`

## § CV_LOG_LEVEL_DEBUG

#define CV_LOG_LEVEL_DEBUG 5

`#include <opencv2/core/utils/logger.defines.hpp>`

Debug message. Disabled in the "Release" build.

## § CV_LOG_LEVEL_ERROR

#define CV_LOG_LEVEL_ERROR 2

`#include <opencv2/core/utils/logger.defines.hpp>`

Error message.

## § CV_LOG_LEVEL_FATAL

#define CV_LOG_LEVEL_FATAL 1

`#include <opencv2/core/utils/logger.defines.hpp>`

Fatal (critical) error (unrecoverable internal error)

## § CV_LOG_LEVEL_INFO

#define CV_LOG_LEVEL_INFO 4

`#include <opencv2/core/utils/logger.defines.hpp>`

Info message.

## § CV_LOG_LEVEL_SILENT

#define CV_LOG_LEVEL_SILENT 0

`#include <opencv2/core/utils/logger.defines.hpp>`

for using in setLogLevel() call

## § CV_LOG_LEVEL_VERBOSE

#define CV_LOG_LEVEL_VERBOSE 6

`#include <opencv2/core/utils/logger.defines.hpp>`

Verbose (trace) messages. Requires verbosity level. Disabled in the "Release" build.

## § CV_LOG_LEVEL_WARN

#define CV_LOG_LEVEL_WARN 3

`#include <opencv2/core/utils/logger.defines.hpp>`

Warning message.

## § CV_LOG_STRIP_LEVEL

#define CV_LOG_STRIP_LEVEL CV_LOG_LEVEL_VERBOSE

`#include <opencv2/core/utils/logger.hpp>`

Define CV_LOG_STRIP_LEVEL=CV_LOG_LEVEL_[DEBUG|INFO|WARN|ERROR|FATAL|DISABLED] to compile out anything at that and before that logging level

## § CV_LOG_VERBOSE

#define CV_LOG_VERBOSE | ( |  | tag,
|  |  | v,
|  |  | ...
| ) |  |

`#include <opencv2/core/utils/logger.hpp>`

## § CV_LOG_WARNING

#define CV_LOG_WARNING | ( |  | tag,
|  |  | ...
| ) |  | for(;;) { if (cv::utils::logging::getLogLevel() < cv::utils::logging::LOG_LEVEL_WARNING) break; std::stringstream ss; ss << __VA_ARGS__; cv::utils::logging::internal::writeLogMessage(cv::utils::logging::LOG_LEVEL_WARNING, ss.str().c_str()); break; }

`#include <opencv2/core/utils/logger.hpp>`

## § CV_TRACE_ARG

#define CV_TRACE_ARG | ( |  | arg_id | ) |

`#include <opencv2/core/utils/trace.hpp>`

Macro to trace argument value.

## § CV_TRACE_ARG_VALUE

#define CV_TRACE_ARG_VALUE | ( |  | arg_id,
|  |  | arg_name,
|  |  | value
| ) |  |

`#include <opencv2/core/utils/trace.hpp>`

Macro to trace argument value (expanded version)

## § CV_TRACE_FUNCTION

#define CV_TRACE_FUNCTION | ( |  | ) |

`#include <opencv2/core/utils/trace.hpp>`

Macro to trace function.

## § CV_TRACE_FUNCTION_SKIP_NESTED

#define CV_TRACE_FUNCTION_SKIP_NESTED | ( |  | ) |

`#include <opencv2/core/utils/trace.hpp>`

## § CV_TRACE_REGION

#define CV_TRACE_REGION | ( |  | name_as_static_string_literal | ) |

`#include <opencv2/core/utils/trace.hpp>`

Trace code scope.

Note
  Dynamic names are not supported in this macro (on stack or heap). Use string literals here only, like "initialize".

## § CV_TRACE_REGION_NEXT

#define CV_TRACE_REGION_NEXT | ( |  | name_as_static_string_literal | ) |

`#include <opencv2/core/utils/trace.hpp>`

mark completed of the current opened region and create new one

Note
  Dynamic names are not supported in this macro (on stack or heap). Use string literals here only, like "step1".

## Enumeration Type Documentation

## § LogLevel

enum cv::utils::logging::LogLevel

`#include <opencv2/core/utils/logger.hpp>`

Supported logging levels and their semantic.

Enumerator
LOG_LEVEL_SILENT | for using in setLogVevel() call
LOG_LEVEL_FATAL | Fatal (critical) error (unrecoverable internal error)
LOG_LEVEL_ERROR | Error message.
LOG_LEVEL_WARNING | Warning message.
LOG_LEVEL_INFO | Info message.
LOG_LEVEL_DEBUG | Debug message. Disabled in the "Release" build.
LOG_LEVEL_VERBOSE | Verbose (trace) messages. Requires verbosity level. Disabled in the "Release" build.

## Function Documentation

## § getLogLevel()

LogLevel cv::utils::logging::getLogLevel | ( |  | ) |

`#include <opencv2/core/utils/logger.hpp>`

Get global logging level

## § setLogLevel()

LogLevel cv::utils::logging::setLogLevel | ( | LogLevel | logLevel | ) |

`#include <opencv2/core/utils/logger.hpp>`

Set global logging level

Returns
  previous logging level